Bug 490401 - mediawiki-SpecialInterwiki needs aliases file
mediawiki-SpecialInterwiki needs aliases file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediawiki-SpecialInterwiki (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 01:01 EDT by John Guthrie
Modified: 2010-06-14 13:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: mediawiki-SpecialInterwiki-0-0.5.20100613svn.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 13:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2009-03-16 01:01:04 EDT
Description of problem: 
When I try to active the SpecialInterwiki extension in my LocalSettings.php file (as directed by the file /usr/share/doc/mediawiki-SpecialInterwiki-0/README.fedora.) mediawiki ends up returning an Internal error.  When I turn on the flag $wgShowExceptionDetails in the LocalSettings.php file, I get the following:

Aliases file does not exist: /usr/share/mediawiki/extensions/SpecialInterwiki/SpecialInterwiki.alias.php

Backtrace:

#0 /usr/share/mediawiki/includes/SpecialPage.php(577): Language->getSpecialPageAliases()
#1 /usr/share/mediawiki/includes/SpecialPage.php(591): SpecialPage::getLocalNameFor('Recentchanges', false)
#2 /usr/share/mediawiki/includes/OutputPage.php(1565): SpecialPage::getTitleFor('Recentchanges')
#3 /usr/share/mediawiki/includes/SkinTemplate.php(242): OutputPage->getHeadLinks()
#4 /usr/share/mediawiki/includes/OutputPage.php(945): SkinTemplate->outputPage(Object(OutputPage))
#5 /usr/share/mediawiki/includes/Wiki.php(342): OutputPage->output()
#6 /usr/share/mediawiki/index.php(118): MediaWiki->finalCleanup(Array, Object(OutputPage))
#7 {main}

If I de-activate the SpecialInterwiki extension by commenting out the line in LocalSettings.php that includes the file /usr/share/mediawiki/extensions/SpecialInterwiki/SpecialInterwiki.php, then the problem goes away.

Version-Release number of selected component (if applicable):
mediawiki-SpecialInterwiki-0-0.4.20080913svn.fc10.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Install mediawiki
2. Set up mediawiki to generate LocalSettings.php file
3. Check home page for brand new wiki.  Note that it looks normal.
4. Install mediawiki-SpecialInterwiki
5. Activate the SpecialInterwiki extension as told to do in /usr/share/doc/mediawiki-SpecialInterwiki-0/README.fedora by adding a require line to the LocalSettings.php file to include the extension.
6. Watch an internal error appear in your wiki :-(
7. Turn on debugging information to see the error given above.
  
Actual results:
I get the internal error as described above.

Expected results:
I would expect my wiki to work when I activate this packaged extension.

Additional info:
Comment 1 John Guthrie 2009-03-16 01:04:47 EDT
If I try to create an empty copy of the SpecialInterwiki.alias.php file that it is asking for, I get the following error:

Malformed aliases file: /usr/share/mediawiki/extensions/SpecialInterwiki/SpecialInterwiki.alias.php

Backtrace:

#0 /usr/share/mediawiki/includes/SpecialPage.php(577): Language->getSpecialPageAliases()
#1 /usr/share/mediawiki/includes/SpecialPage.php(591): SpecialPage::getLocalNameFor('Recentchanges', false)
#2 /usr/share/mediawiki/includes/OutputPage.php(1565): SpecialPage::getTitleFor('Recentchanges')
#3 /usr/share/mediawiki/includes/SkinTemplate.php(242): OutputPage->getHeadLinks()
#4 /usr/share/mediawiki/includes/OutputPage.php(945): SkinTemplate->outputPage(Object(OutputPage))
#5 /usr/share/mediawiki/includes/Wiki.php(342): OutputPage->output()
#6 /usr/share/mediawiki/index.php(118): MediaWiki->finalCleanup(Array, Object(OutputPage))
#7 {main}
Comment 2 John Guthrie 2009-03-16 01:15:15 EDT
After doing some searching on the web, I found an aliases file in the subversion code for SpecialInterwiki here: https://svn.wikia-code.com/wikia/trunk/extensions/Interwiki/  That link gives you the directory containing all of the SpecialInterwiki files.  Here is the link for the aliases file:  https://svn.wikia-code.com/wikia/trunk/extensions/Interwiki/SpecialInterwiki.alias.php

After looking at the file, it appears that there are some $aliases arrays that need to be set up.  It would appear that this file needs to be added into the package.  Perhaps it is time to get a new download from subversion?
Comment 3 John Guthrie 2009-03-16 09:30:01 EDT
I should also add that putting the aliases file from the URL in comment #2 seems to fix the problem entirely.

Also, I am raising the severity of this bug to high, since it seems to make a mediawiki-based wiki completely unusable.
Comment 4 John Guthrie 2009-03-16 17:18:54 EDT
I found the subversion repo on wikimedia.org for the extension:  http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/Interwiki/  The latest revision for the code seems to be 48452.  In addition to the aliases file, there also seems to be a CSS file as well.  The current package uses subversion revision 37451.
Comment 5 John Guthrie 2009-03-30 13:05:13 EDT
I think that I forgot to mention that I am using the latest version of mediawiki that comes with Fedora 10, namely mediawiki-1.14.0-45.fc10.i386.
Comment 6 John Guthrie 2009-06-29 01:44:04 EDT
This bug is still happening with mediawiki-1.14.0-45.fc11.i586.  I have bumped the fedora version.  Except now the error at the top of the error trace is "Aliases file does not exist: /usr/share/mediawiki/extensions/SpecialInterwiki/SpecialInterwiki.alias.php"
Comment 7 John Guthrie 2009-06-29 02:14:27 EDT
I took the liberty of checking this package out from the Fedora CVS.  I have posted an updated SRPM and spec file which should fix this bug.  Here are the URLs:

http://www.guthrie.info/RPMS/f11/mediawiki-SpecialInterwiki-0-0.7.20090629svn.fc11.src.rpm
http://www.guthrie.info/RPMS/f11/mediawiki-SpecialInterwiki.spec

If you would like, I can check these into the devel CVS branch.
Comment 8 John Guthrie 2009-06-29 02:16:54 EDT
I should also add that in this new version that I just posted, I grabbed the latest version from the wikimedia svn.  This also entailed adding in another file, SpecialInterwiki.css, as well.
Comment 9 info 2009-10-26 15:45:52 EDT
Same issue here. Thanks for the link to the alias file. Would be great if this was fixed.
Comment 10 Bug Zapper 2010-04-27 09:12:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jon Stanley 2010-06-13 23:28:18 EDT
Sorry for the delay - I actually didn't see this bug til I was looking through my backlog today. At any rate, I can confirm it :(

I've locally built a package that I confirm fixes this bug.  Building in koji now....
Comment 12 Jon Stanley 2010-06-13 23:34:46 EDT
FYI, due to the complete brokeness of this package as it stands, and the impending demise of F11, I'm going to go ahead and push this one straight to stable IN THIS BRANCH ONLY.

I also made the minimal amount of change to fix this bug - i.e. pulled in the alias file from comment #2, not changing the extension at all.  I may do that in other branches.
Comment 13 Fedora Update System 2010-06-13 23:41:47 EDT
mediawiki-SpecialInterwiki-0-0.5.20100613svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mediawiki-SpecialInterwiki-0-0.5.20100613svn.fc11
Comment 14 Fedora Update System 2010-06-14 13:09:20 EDT
mediawiki-SpecialInterwiki-0-0.5.20100613svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.